import request from "@/utils/request";

/**
 * 设备监控
 */
export function deviceMonitor() {
  return request({
    url: "/data/device",
    method: "POST",
  });
}

// 每日产量统计 num为天数

export function dailyProduction(num: number) {
  return request({
    url: `/data/everyDayProduction/${num}`,
    method: "get",
  });
}

// 不合格产品分布
export function unqualifiedProduct() {
  return request({
    url: "/data/badProdtDis",
    method: "POST",
  });
}

//缺陷分布图
export function defectDistribution() {
  return request({
    url: "/data/bug",
    method: "POST",
  });
}

//订单信息-生产计划完成情况
export function productionPlan() {
  return request({
    url: "/data/order",
    method: "POST",
  });
}
